/****************************************************
 * HiQUE Computer 2-player implementation
 *
 * Kenrick Mock 12/20/01
 * kenrick@uaa.alaska.edu
 *
 * I make no guarantee as to the non-existence of bugs
 * or game correctness in this program :)  It has been
 * created as a way for you to experiment with the
 * game and possibly use as a starting base to create
 * your own AI-game playing program.  Of course, you don't
 * have to use this code as the basis for your own
 * program.  In fact, there are many areas where
 * different data structures will decrease the amount
 * of computation necessary.
 *
 * The code is somewhat documented, but not completely.
 * Contact me if you have any questions.
 *
 * This is a C version of the program, there is also
 * a C++ version available.  I recommend you write your
 * AI program in C or C++ for purposes of execution speed.
 *
 ****************************************************/

#include <stdio.h>
#include <string.h>
#include "board.h"
#include "move.h"
#include "globals.h"


int main()
{
 char board[DIM][DIM];		/* Main Game Board */
 int x1,x2,y1,y2;		/* Holds move coordinates */
 char whoseturn='b';		/* Current player, black goes first */

 printf("\n\nWelcome to Computer HiQUE v0.1.  This version is for 2 players only.\n");
 printf("For information on how to play, see the rules at\n");
 printf("http://www.math.uaa.alaska.edu/~afkjm/cs405/\n");
 printf("This program has not been vigorously debugged; if you find a bug\n");
 printf("please report it to Kenrick as soon as possible.\n\n");
 printf("This code is intended for educational purposes only.  HiQUE s\n");
 printf("manufactured and distributed by D&L Company, Copyright 1998 by\n");
 printf("Gregg Steven Blasingame.\n\n");
 InitBoard(board);
 ShowBoard(board);
 do {
	GetMove(board,whoseturn,&x1,&y1,&x2,&y2); /* Get valid move */
	ApplyMove(board,x1,y1,x2,y2);	  /* Apply move to board */
 	ShowBoard(board);
	if (whoseturn=='b') whoseturn='w';
	else whoseturn='b';
 } while (!GameOver(board));
 return 0;
}

