/****************************************************
 * HiQUE Computer 2-player implementation
 *
 * Kenrick Mock 12/21/01
 * kenrick@uaa.alaska.edu
 *
 * I make no guarantee as to the non-existence of bugs
 * or game correctness in this program :)  It has been
 * created as a way for you to experiment with the
 * game and possibly use as a starting base to create
 * your own AI-game playing program.  Of course, you don't
 * have to use this code as the basis for your own
 * program.  In fact, there are many areas where
 * different data structures will decrease the amount
 * of computation necessary.
 *
 * The code is somewhat documented, but not completely.
 * Contact me if you have any questions.
 *
 * This is a C++ version of the HiQUE game.  It is
 * a rather uninspired C++ version, as there is only
 * a single Board class.  A more ambitious and 
 * object-oriented version would have classes for pieces,
 * moves, and other things... 
 *
 ****************************************************/

#include <stdio.h>
#include <iostream>
#include "board.h"
#include "globals.h"
using namespace std;


int main()
{
 Board b;
 int x1,x2,y1,y2;		/* Holds move coordinates */

 cout << "\n\nWelcome to Computer HiQUE v0.1.  This version is for 2 players only.\n";
 cout << "For information on how to play, see the rules at\n";
 cout << "http://www.math.uaa.alaska.edu/~afkjm/cs405/\n";
 cout << "This program has not been vigorously debugged; if you find a bug\n";
 cout << "please report it to Kenrick as soon as possible.\n\n";
 cout << "This code is intended for educational purposes only.  HiQUE s\n";
 cout << "manufactured and distributed by D&L Company, Copyright 1998 by\n";
 cout << "Gregg Steven Blasingame.\n\n";
 b.ShowBoard();
 do {
	b.GetMove(x1,y1,x2,y2); /* Get valid move */
	b.ApplyMove(x1,y1,x2,y2);	  /* Apply move to board */
 	b.ShowBoard();
 } while (!b.GameOver());
 return 0;
}

